net.corda.core.serialization

## Class GlobalTransientClassWhiteList

- net.corda.core.serialization.GlobalTransientClassWhiteList

- All Implemented Interfaces:
    ClassWhitelist, MutableClassWhitelist

      public class GlobalTransientClassWhiteList
      implements MutableClassWhitelist, ClassWhitelist

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `GlobalTransientClassWhiteList.Companion`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static GlobalTransientClassWhiteList.Companion` | `Companion`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GlobalTransientClassWhiteList(ClassWhitelist delegate)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `add(java.lang.Class<?> entry)`
    `ClassWhitelist` | `getDelegate()`
    `boolean` | `hasListed(java.lang.Class<?> type)`

    - ### Methods inherited from interface net.corda.core.serialization.MutableClassWhitelist

      `add`

    - ### Methods inherited from interface net.corda.core.serialization.ClassWhitelist

      `hasListed`

- - ### Field Detail

    - #### Companion

          public static GlobalTransientClassWhiteList.Companion Companion

  - ### Constructor Detail

    - #### GlobalTransientClassWhiteList

          public GlobalTransientClassWhiteList(ClassWhitelist delegate)

  - ### Method Detail

    - #### hasListed

          public boolean hasListed(java.lang.Class<?> type)

    - #### add

          public void add(java.lang.Class<?> entry)

    - #### getDelegate

          public ClassWhitelist getDelegate()